gcc-3.4.3 bootstrap error

Robert Russell zoohoo.linux at gmail.com
Fri Feb 24 06:47:45 PST 2006


On 2/23/06, Ken Moffat <ken at linuxfromscratch.org> wrote:
> On Thu, 23 Feb 2006, Terror Duizel wrote:
>
> >
> >> /tools/i686-pc-linux-gnu/bin/ld:/usr/lib/libc.so:5: syntax error
>
>   Oh, I misread so:5 as so.5 - sorry for the noise.
>
>   As to using fedora, I can remember somebody saying fedora couldn't
> compile LFS because fedora was using newer versions. I can remember
> testing something to ensure gcc-4 could build a 6.1 update, but I don't
> have any installed fedora systems to test with.
>
>   If Dan's questions don't lead to an answer, consider using an LFS Live
> CD.
>
> Ken

There is a patch listed on the ch5-binutils-pass 1 page so that it can
be built by
a host running gcc-4 or later
http://www.linuxfromscratch.org/lfs/view/stable/chapter05/binutils-pass1.html

--
LFS ID #12355



More information about the lfs-support mailing list